Package org.eclipse.net4j.util.ui.proposals

## Class RegExContentProposalProvider

- java.lang.Object
- - org.eclipse.net4j.util.ui.proposals.RegExContentProposalProvider

- All Implemented Interfaces:
    `IContentProposalProvider`

      public class RegExContentProposalProvider
      extends java.lang.Object
      implements IContentProposalProvider

  Content assist proposal provider for regular expressions.

  Note: Replaces `RegExContentAssistProcessor` which was introduced in 3.0.

  Copied from org.eclipse.ui.texteditor.RegExContentProposalProvider.

  Needed by org.eclipse.mylyn.internal.team.ui.preferences.workaround.MylynTeamPreferencePage.

  TODO Ask platform guys to open this API

  Since:
    3.2

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `RegExContentProposalProvider​(boolean isFind)` | Creates a new completion proposal provider.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `IContentProposal[]` | `getProposals​(java.lang.String contents, int position)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RegExContentProposalProvider

          public RegExContentProposalProvider​(boolean isFind)

      Creates a new completion proposal provider.
      Parameters:
        `isFind` - `true` if the provider is used for the 'find' field `false` if the provider is used for the 'reaplce' field

  - ### Method Detail

    - #### getProposals

          public IContentProposal[] getProposals​(java.lang.String contents,
                                                 int position)

      Specified by:
        `getProposals` in interface `IContentProposalProvider`